Subject: [saag] TMRID and hashes of prior messages in the Auth message

From: Robert Moskowitz <[email-masked]>
Date: Thu, 21 Nov 2019 13:49:27 +0800

First to the SAAG list, the TMRID BOF covered the work todate on 
RemoteID for Unmanned Aircraft Systems and this is expected to be 
chartered as a working group.

I direct people's attention to:

draft-wiethuechter-tmrid-auth

The purpose of the auth message in the ASTM standard is to authenticate 
prior sent really short messages.  But the ASTM standard really does not 
say how to do this.

In the above draft we are proposing to hash those messages, put those 
hashes in the digitally signed Auth message.

This is an interesting problem and we make no claim that we got it well 
in hand and request review and comment by others.

Please read the draft (and others for TMRID) and address the tmrid list 
or me or Adam directly.

Thank you

Robert Moskowitz